/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package chatprogramm;

import chatprogramm.controller.ConnectController;
import chatprogramm.controller.ReceiveAdapterController;
import chatprogramm.controller.SendController;
import chatprogramm.model.Transmitter;
import chatprogramm.view.ChatView;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start()
  {
    ChatView view = new ChatView();
    Transmitter model = new Transmitter();
    ConnectController conCon = new ConnectController(view, model);
    ReceiveAdapterController reiAdapCon = new ReceiveAdapterController(view, model);
    SendController sendCon = new SendController(view, model);
    view.setVisible(true);
    
  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    new Start();
  }
}
